GrailsTestCaseRunnerBuilder (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.test.junit4.runner
[Groovy] Class GrailsTestCaseRunnerBuilder

    java.lang.Object
      org.junit.runners.model.RunnerBuilder
          org.codehaus.groovy.grails.test.junit4.runner.GrailsTestCaseRunnerBuilder

    class GrailsTestCaseRunnerBuilder
    extends org.junit.runners.model.RunnerBuilder

Property Summary
`java.lang.Object` | `appCtx`
`java.lang.Object` | `mode`
`java.lang.Object` | `testTargetPatterns`

Constructor Summary
`GrailsTestCaseRunnerBuilder(GrailsTestTargetPattern[] testTargetPatterns)`
`GrailsTestCaseRunnerBuilder(GrailsTestMode mode, org.springframework.context.ApplicationContext appCtx, GrailsTestTargetPattern[] testTargetPatterns)`

Method Summary
`org.junit.runner.Runner` | `runnerForClass(java.lang.Class testClass)`
`protected java.lang.Object` | `validateMode()`

Methods inherited from class org.junit.runners.model.RunnerBuilder
org.junit.runners.model.RunnerBuilder#runnerForClass(java.lang.Class), org.junit.runners.model.RunnerBuilder#safeRunnerForClass(java.lang.Class), org.junit.runners.model.RunnerBuilder#runners(java.lang.Class, [Ljava.lang.Class;), org.junit.runners.model.RunnerBuilder#runners(java.lang.Class, java.util.List), org.junit.runners.model.RunnerBuilder#wait(long, int), org.junit.runners.model.RunnerBuilder#wait(long), org.junit.runners.model.RunnerBuilder#wait(), org.junit.runners.model.RunnerBuilder#equals(java.lang.Object), org.junit.runners.model.RunnerBuilder#toString(), org.junit.runners.model.RunnerBuilder#hashCode(), org.junit.runners.model.RunnerBuilder#getClass(), org.junit.runners.model.RunnerBuilder#notify(), org.junit.runners.model.RunnerBuilder#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### appCtx

    final java.lang.Object appCtx

### mode

    final java.lang.Object mode

### testTargetPatterns

    final java.lang.Object testTargetPatterns

Constructor Detail

### GrailsTestCaseRunnerBuilder

    GrailsTestCaseRunnerBuilder(GrailsTestTargetPattern[] testTargetPatterns)

### GrailsTestCaseRunnerBuilder

    GrailsTestCaseRunnerBuilder(GrailsTestMode mode, org.springframework.context.ApplicationContext appCtx, GrailsTestTargetPattern[] testTargetPatterns)

Method Detail

### runnerForClass

    org.junit.runner.Runner runnerForClass(java.lang.Class testClass)

### validateMode

    protected java.lang.Object validateMode()

Groovy Documentation